Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/grants/{grant_id}/notetakers/{notetaker_id}/media

Return Notetaker media links

Returns a list of links to media generated by the specified Notetaker bot.

Works with an API key or an IAM API key with the notetakers.read permission.

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_id*string

ID of the Notetaker bot to access.

Responses

request_idstring

The request ID.

dataobject

The media files for a Notetaker. Each file is present only if Nylas generated it. The recording, transcript, summary, and action items also require the matching Notetaker setting.

GEThttps://api.us.nylas.com/v3/grants/nyla%40example.com/notetakers/{notetaker_id}/media

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_idrequiredstring

ID of the Notetaker bot to access.